replace uses of net-tools with iproute2

Bug #1748956 reported by Scott Moser on 2018-02-12
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Canonical Server Team
byobu
Medium
Unassigned
byobu (Ubuntu)
Medium
Unassigned
ubuntu-meta (Ubuntu)
High
Canonical Server Team

Bug Description

As ubuntu goes forward, net-tools is looking to be dropped.

Byobu currently depends on net-tools. That code should be replaced by iproute2.

Related bugs:
 * bug 925145: cloud-init Use ip instead of ifconfig and route

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: byobu 5.124-0ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-25.29-generic 4.13.13
Uname: Linux 4.13.0-25-generic x86_64
NonfreeKernelModules: zfs zunicode zavl zcommon znvpair
ApportVersion: 2.20.8-0ubuntu8
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Mon Feb 12 13:34:27 2018
EcryptfsInUse: Yes
InstallationDate: Installed on 2015-07-23 (935 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150722.1)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: byobu
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Scott Moser (smoser) wrote :
Changed in byobu (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-meta (Ubuntu):
status: New → Confirmed
Changed in byobu:
status: New → Fix Committed
Changed in byobu (Ubuntu):
status: Triaged → Fix Committed
Changed in byobu:
importance: Undecided → Medium
Changed in byobu (Ubuntu):
importance: Wishlist → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package byobu - 5.127-0ubuntu1

---------------
byobu (5.127-0ubuntu1) cosmic; urgency=medium

  * usr/share/byobu/profiles/bashrc:
    - Googley PS1 for non-Ubuntu distros
  * usr/lib/byobu/logo, usr/share/byobu/profiles/bashrc:
    - use Google lego logo for gLinux
  * usr/lib/byobu/logo: LP: #1769676
    - don't use the Ubuntu logo in the status line, as this breaks ssh
      clients coming to Ubuntu from other OSes without the Ubuntu font
  * usr/lib/byobu/include/shutil, usr/lib/byobu/Makefile.am,
    usr/lib/byobu/rcs_cost, usr/share/byobu/status/status,
    usr/share/man/man1/byobu.1,
    usr/lib/byobu/ec2_cost,
    usr/lib/byobu/include/ec2instancespricing.py,
    usr/lib/byobu/include/Makefile.am, usr/lib/byobu/include/shutil,
    usr/lib/byobu/Makefile.am, usr/share/byobu/status/status,
    usr/share/man/man1/byobu.1,
  * usr/bin/byobu-janitor.in:
    - deprecate unmaintained ec2/rcs pricing functionality
    - this never really worked well, and these prices are constantly changing
    - clear out stale status cache
  * debian/control, usr/lib/byobu/ip_address, usr/lib/byobu/network,
    usr/share/man/man1/wifi-status.1: LP: #1748956
    - switch entirely to iproute2, away from net-tools and ifconfig
    - only remaining ifconfig is fall-back logic, in case /sbin/ip is
      not found
  * usr/share/byobu/desktop/byobu.desktop: LP: #1739708
    - update categories so that Byobu can show up in Cinnamon/Mint's
      preferred applications list
  * usr/share/byobu/pixmaps/byobu.14.png,
    usr/share/byobu/pixmaps/byobu.192.png,
    usr/share/byobu/pixmaps/byobu.64.png,
    usr/share/byobu/pixmaps/byobu.png:
    - re-render png's, as Chrome started rendering middle color wrong
  * usr/bin/byobu-select-profile.in, usr/share/man/man1/byobu-select-
    profile.1: LP: #1717746
    - deprecate interactive mode for byobu-select-profile
  * usr/lib/byobu/include/toggle-utf8.in: LP: #1696546
    - try to support zsh and other shells in addition to bash
  * usr/bin/byobu-shell.in:
    - update getting started to byobu.org
  * usr/share/byobu/profiles/tmux: LP: #1617689
    - add a comment about motd printing
  * usr/share/man/man1/byobu.1: LP: #1618185
    - update documentation on setting a logo
  * debian/compat, debian/control:
  * debian/compat, debian/control, usr/lib/byobu/include/config.py.in,
    usr/lib/byobu/include/select-session.py:
    - neverending fight with lintian
    - hardcode python3 as our interpreter
  * usr/lib/byobu/include/shutil:
    - check for lsb-release before using (not present on Debian)
  * usr/share/byobu/profiles/bashrc:
    - fix missing bash 256 ps1 colors

 -- Dustin Kirkland <email address hidden> Sun, 27 May 2018 18:07:11 -0500

Changed in byobu (Ubuntu):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) on 2019-05-09
Changed in ubuntu-meta (Ubuntu):
assignee: nobody → Canonical Server Team (canonical-server)
tags: added: server-next server-triage-discuss
Changed in ubuntu-release-notes:
assignee: nobody → Canonical Server Team (canonical-server)
assignee: Canonical Server Team (canonical-server) → Ubuntu Server (ubuntu-server)
assignee: Ubuntu Server (ubuntu-server) → Canonical Server Team (canonical-server)
status: New → Confirmed

TBH that is just showing that [1], fell through the cracks :-/

We are early in Eoan - lets do this now - worst case slightly break it and resolve details afterwards.
I made it part of another seed/meta change Eoan to do both in one [2].
Further I have added a release-note task to mention it in Eoan.

[1]: https://code.launchpad.net/~vorlon/ubuntu-seeds/+git/ubuntu/+merge/357602
[2]: https://code.launchpad.net/~paelzer/ubuntu-seeds/+git/ubuntu/+merge/367238

Changed in ubuntu-meta (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.434

---------------
ubuntu-meta (1.434) eoan; urgency=medium

  * Refreshed dependencies
  * Added fwupd to server-recommends (LP: #1749774)
  * Removed net-tools from server (LP: #1748956)

 -- Christian Ehrhardt <email address hidden> Mon, 13 May 2019 12:08:01 +0200

Changed in ubuntu-meta (Ubuntu):
status: Triaged → Fix Released
tags: removed: server-triage-discuss
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers